Bug 47578 - r69628 (printing/simultaneous-position-float-change.html) breaks Chromium build
Summary: r69628 (printing/simultaneous-position-float-change.html) breaks Chromium build
Status: CLOSED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Stephen Chenney
URL:
Keywords:
Depends on: 46152
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-13 01:40 PDT by Alexander Pavlov (apavlov)
Modified: 2011-10-27 14:06 PDT (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Pavlov (apavlov) 2010-10-13 01:40:12 PDT
Please see http://test-results.appspot.com/dashboards/flakiness_dashboard.html#showExpectations=true&useWebKitCanary=true&tests=printing%2Fsimultaneous-position-float-change.html for reference.

I'm temporarily updating the test_expectations to account for this failure.
Comment 1 Alexander Pavlov (apavlov) 2010-10-13 02:06:51 PDT
It appears that the Chromium LayoutTestController implementation does not support the setPrinting() method:

CONSOLE MESSAGE: line 17: Uncaught TypeError: Object [object Object] has no method 'setPrinting'
Comment 2 Stephen Chenney 2011-06-03 11:55:44 PDT
I am going to fix this.
Comment 3 Stephen Chenney 2011-10-27 14:05:49 PDT
Resolved with fix for 46152, which enabled setPrinting for chromium LayoutTests.
Comment 4 Stephen Chenney 2011-10-27 14:06:44 PDT
Closing.